Results 1 to 4 of 4

Thread: Broken Packages?

  1. #1
    Join Date
    Aug 2010
    Location
    America
    Beans
    82
    Distro
    Ubuntu 10.04 Lucid Lynx

    Broken Packages?

    Anyone know what this means/how to correct it?. I cant install anything


    Code:
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Package transmission is not installed, so not removed
    You might want to run 'apt-get -f install' to correct these:
    The following packages have unmet dependencies:
     transmission-daemon : Depends: transmission-common (= 2.51-0ubuntu1) but 2.51-0ubuntu1.1 is to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

  2. #2
    Join Date
    Aug 2010
    Location
    America
    Beans
    82
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Broken Packages?

    results of running "sudo apt-get -f install


    Code:
    d@server:~$ sudo apt-get -f install
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Correcting dependencies... Done
    The following extra packages will be installed:
      transmission-daemon
    The following packages will be upgraded:
      transmission-daemon
    1 upgraded, 0 newly installed, 0 to remove and 70 not upgraded.
    1 not fully installed or removed.
    Need to get 0 B/232 kB of archives.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue [Y/n]? y
    dpkg: dependency problems prevent configuration of transmission-daemon:
     transmission-daemon depends on transmission-common (= 2.51-0ubuntu1); however:
      Version of transmission-common on system is 2.51-0ubuntu1.1.
    dpkg: error processing transmission-daemon (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Errors were encountered while processing:
     transmission-daemon
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    My transmission daemon is causing the problem but unsure how to correct it

  3. #3
    Join Date
    Feb 2010
    Location
    Summerwind
    Beans
    11,738
    Distro
    Ubuntu Development Release

    Re: Broken Packages?

    Try the following .
    Code:
    sudo apt-get update
    Code:
    sudo dpkg --configure -a
    “Start where you are. Use what you have. Do what you can."

    Ubuntu Documentation Search: Popular Pages
    Ubuntu: Security Basics
    Ubuntu: Manual

  4. #4
    Join Date
    Aug 2010
    Location
    America
    Beans
    82
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Broken Packages?

    after running an update i still get this...


    Code:
    jd@server:~$ sudo dpkg --configure -a
    dpkg: dependency problems prevent configuration of transmission-daemon:
     transmission-daemon depends on transmission-common (= 2.51-0ubuntu1); however:
      Version of transmission-common on system is 2.51-0ubuntu1.1.
    dpkg: error processing transmission-daemon (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     transmission-daemon
    jd@server:~$

    is there anyway i can force a uninstall and re install? the daemon still works fine i just cant install anything new. Will deleting the files be the same as uninstalling?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •